-- Mapping of prefab names to the base builds and banks.
return {
	abigail                 = { bank = "ghost", build = "ghost_wendy_build", baseanim = "idle" },
	abigail_flower          = { bank = "abigail_flower", build = "abigail_flower", baseanim = "idle1" },
	adventure_portal        = { bank = "portal_adventure", build = "portal_adventure", baseanim = "idle_off" },
	amulet                  = { bank = "amulets", build = "amulets", baseanim = "redamulet" },
	ancient_altar           = { bank = "crafting_table", build = "crafting_table", baseanim = "idle" },
	animal_track            = { bank = "track", build = "koalefant_tracks", baseanim = "idle" },
	armor_sanity            = { bank = "armor_sanity", build = "armor_sanity", baseanim = "anim" },
	armorgrass              = { bank = "armor_grass", build = "armor_grass", baseanim = "anim" },
	armormarble             = { bank = "armor_marble", build = "armor_marble", baseanim = "anim" },
	armorsnurtleshell       = { bank = "armor_slurtleshell", build = "armor_slurtleshell", baseanim = "anim" },
	armorwood               = { bank = "armor_wood", build = "armor_wood", baseanim = "anim" },
	ash                     = { bank = "ashes", build = "ash", baseanim = "idle" },
	axe                     = { bank = "axe", build = "axe", baseanim = "idle" },
	babybeefalo             = { bank = "beefalo", build = "beefalo_baby_build", baseanim = "idle_loop" },
	backpack                = { bank = "backpack1", build = "swap_backpack", baseanim = "anim" },
	balloon                 = { bank = "balloon", build = "balloon", baseanim = "idle" }, -- idle, true --won't work
	balloons_empty          = { bank = "balloons_empty", build = "balloons_empty", baseanim = "idle" },
	bandage                 = { bank = "bandage", build = "bandage", baseanim = "idle" },
	basalt                  = { bank = "blocker", build = "blocker", baseanim = "block1" },
	basalt_pillar           = { bank = "blocker", build = "blocker", baseanim = "block3" },
	bat                     = { bank = "bat", build = "bat_basic", baseanim = "idle" },
	batbat                  = { bank = "batbat", build = "batbat", baseanim = "idle" },
	batcave                 = { bank = "batcave", build = "batcave", baseanim = "idle" },
	batwing                 = { bank = "batwing", build = "batwing", baseanim = "raw" },
	batwing_cooked          = { bank = "batwing", build = "batwing", baseanim = "cooked" },
	beardhair               = { bank = "beardhair", build = "beardhair", baseanim = "idle" },
	bedroll_furry           = { bank = "swap_bedroll_furry", build = "swap_bedroll_furry", baseanim = "idle" },
	bedroll_straw           = { bank = "swap_bedroll_straw", build = "swap_bedroll_straw", baseanim = "idle" },
	bee                     = { bank = "bee", build = "bee_build", baseanim = "idle" },
	beebox                  = { bank = "bee_box", build = "bee_box", baseanim = "idle" },
	beefalo                 = { bank = "beefalo", build = "beefalo_build", baseanim = "idle_loop" },
	beefalohat              = { bank = "beefalohat", build = "hat_beefalo", baseanim = "anim" },
	beefalowool             = { bank = "beefalo_wool", build = "beefalo_wool", baseanim = "idle" },
	beehat                  = { bank = "beehat", build = "hat_bee", baseanim = "anim" },
	beehive                 = { bank = "beehive", build = "beehive", baseanim = "cocoon_small" },
	beemine                 = { bank = "bee_mine", build = "bee_mine", baseanim = "idle" },
	beemine_maxwell         = { bank = "bee_mine_maxwell", build = "bee_mine_maxwell", baseanim = "idle" },
	berries                 = { bank = "berries", build = "berries", baseanim = "idle" },
	berries_cooked          = { bank = "berries", build = "berries", baseanim = "cooked" },
	berrybush               = { bank = "berrybush", build = "berrybush", baseanim = "berriesmost" },
	berrybush2              = { bank = "berrybush2", build = "berrybush2", baseanim = "berriesmost" },
	bird_egg                = { bank = "birdegg", build = "bird_eggs", baseanim = "idle" },
	bird_egg_cooked         = { bank = "birdegg", build = "bird_eggs", baseanim = "cooked" },
	birdcage                = { bank = "birdcage", build = "bird_cage", baseanim = "idle" },
	birdtrap                = { bank = "birdtrap", build = "birdtrap", baseanim = "idle" },
	bishop                  = { bank = "bishop", build = "bishop", baseanim = "idle" },
	bishop_charge           = { bank = "bishop_attack", build = "bishop_attack", baseanim = "idle" },
	blowdart_fire           = { bank = "blow_dart", build = "blow_dart", baseanim = "idle_red" },
	blowdart_pipe           = { bank = "blow_dart", build = "blow_dart", baseanim = "idle_pipe" },
	blowdart_sleep          = { bank = "blow_dart", build = "blow_dart", baseanim = "idle_purple" },
	blue_cap                = { bank = "mushrooms", build = "mushrooms", baseanim = "blue_cap" },
	blue_cap_cooked         = { bank = "mushrooms", build = "mushrooms", baseanim = "blue_cap_cooked" },
	blue_mushroom           = { bank = "mushrooms", build = "mushrooms", baseanim = "close_blue" },
	blueamulet              = { bank = "amulets", build = "amulets", baseanim = "blueamulet" },
	bluegem                 = { bank = "gems", build = "gems", baseanim = "bluegem_idle" },
	blueprint               = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	boards                  = { bank = "boards", build = "boards", baseanim = "idle" },
	--bonfire                 = { bank = "bonfire", build = "bonfire", baseanim = "on" },
	book_birds              = { bank = "books", build = "books", baseanim = "book_birds" },
	book_brimstone          = { bank = "books", build = "books", baseanim = "book_brimstone" },
	book_gardening          = { bank = "books", build = "books", baseanim = "book_gardening" },
	book_sleep              = { bank = "books", build = "books", baseanim = "book_sleep" },
	book_tentacles          = { bank = "books", build = "books", baseanim = "book_tentacles" },
	boomerang               = { bank = "boomerang", build = "boomerang", baseanim = "idle" },
	brokentool              = { bank = "broketool", build = "broken_tool", baseanim = "used" },
	bugnet                  = { bank = "bugnet", build = "bugnet", baseanim = "idle" },
	bunnyman                = { bank = "manrabbit", build = "manrabbit_build", baseanim = "idle_loop" },
	bushhat                 = { bank = "bushhat", build = "hat_bush", baseanim = "anim" },
	butter                  = { bank = "butter", build = "butter", baseanim = "idle" },
	butterfly               = { bank = "butterfly", build = "butterfly_basic", baseanim = "idle" },
	butterflywings          = { bank = "butterfly_wings", build = "butterfly_wings", baseanim = "idle" },
	campfire                = { bank = "campfire", build = "campfire", baseanim = "idle" },
	campfirefire            = { bank = "campfire_fire", build = "campfire_fire", baseanim = "idle" },
	cane                    = { bank = "cane", build = "cane", baseanim = "idle" },
	carrot                  = { bank = "carrot", build = "carrot", baseanim = "idle" },
	carrot_cooked           = { bank = "carrot", build = "carrot", baseanim = "cooked" },
	carrot_planted          = { bank = "carrot", build = "carrot", baseanim = "planted" },
	carrot_seeds            = { bank = "seeds", build = "seeds", baseanim = "idle" },
	cave_banana             = { bank = "cave_banana", build = "cave_banana", baseanim = "idle" },
	cave_banana_cooked      = { bank = "cave_banana", build = "cave_banana", baseanim = "cooked" },
	cave_banana_tree        = { bank = "cave_banana_tree", build = "cave_banana_tree", baseanim = "idle_loop" },
	cave_entrance           = { bank = "cave_entrance", build = "cave_entrance", baseanim = "idle_closed" },
	cave_exit               = { bank = "exitrope", build = "cave_exit_rope", baseanim = "idle" },
	cave_fern               = { bank = "ferns", build = "cave_ferns", baseanim = "f1" },
	cavelight               = { bank = "cavelight", build = "cave_exit_lightsource", baseanim = "idle_loop" },
	character_fire          = { bank = "fire_large_character", build = "fire_large_character", baseanim = "idle" },
	charcoal                = { bank = "charcoal", build = "charcoal", baseanim = "idle" },
	chessjunk1              = { bank = "chessmonster_ruins", build = "chessmonster_ruins", baseanim = "idle1" },
	chessjunk2              = { bank = "chessmonster_ruins", build = "chessmonster_ruins", baseanim = "idle2" },
	chessjunk3              = { bank = "chessmonster_ruins", build = "chessmonster_ruins", baseanim = "idle3" },
	chester                 = { bank = "chester", build = "chester", baseanim = "idle" },
	chester_eyebone         = { bank = "eyebone", build = "chester_eyebone", baseanim = "idle_loop" },
	collapse_big            = { bank = "collapse", build = "structure_collapse_fx", baseanim = "collapse_large" },
	collapse_small          = { bank = "collapse", build = "structure_collapse_fx", baseanim = "collapse_small" },
	compass                 = { bank = "compass", build = "compass", baseanim = "idle" },
	cookedmandrake          = { bank = "mandrake", build = "mandrake", baseanim = "cooked" },
	cookedmeat              = { bank = "meat", build = "meat", baseanim = "cooked" },
	cookedmonstermeat       = { bank = "monstermeat", build = "meat_monster", baseanim = "cooked" },
	cookedsmallmeat         = { bank = "meat_small", build = "meat_small", baseanim = "cooked" },
	cookpot                 = { bank = "cook_pot", build = "cook_pot", baseanim = "idle_empty" },
	corn                    = { bank = "corn", build = "corn", baseanim = "idle" },
	corn_cooked             = { bank = "corn", build = "corn", baseanim = "cooked" },
	corn_seeds              = { bank = "seeds", build = "seeds", baseanim = "idle" },
	crawlinghorror          = { bank = "shadowcreature1", build = "shadow_insanity1_basic", baseanim = "idle_loop" },
	creepyeyes              = { bank = "eyes_darkness", build = "eyes_darkness", baseanim = "appear_1" },
	crow                    = { bank = "crow", build = "crow_build", baseanim = "idle" },
	cutgrass                = { bank = "cutgrass", build = "cutgrass", baseanim = "idle" },
	cutreeds                = { bank = "cutreeds", build = "cutreeds", baseanim = "idle" },
	cutstone                = { bank = "cutstone", build = "cutstone", baseanim = "idle" },
	deadlyfeast             = { bank = "food", build = "cook_pot_food", baseanim = "bonestew" },
	deerclops               = { bank = "deerclops", build = "deerclops_build", baseanim = "idle_loop" },
	deerclops_eyeball       = { bank = "deerclops_eyeball", build = "deerclops_eyeball", baseanim = "idle" },
	depleted_grass          = { bank = "grass", build = "grass1", baseanim = "idle" },
	devtool                 = { bank = "axe", build = "goldenaxe", baseanim = "idle" },
	dirtpile                = { bank = "track", build = "koalefant_tracks", baseanim = "idle_pile" },
	diviningrod             = { bank = "diviningrod", build = "diviningrod", baseanim = "dropped" },
	diviningrodbase         = { bank = "diviningrod", build = "diviningrod", baseanim = "idle_empty" },
	diviningrodstart        = { bank = "diviningrod", build = "diviningrod", baseanim = "idle_full" },
	dragonfruit             = { bank = "dragonfruit", build = "dragonfruit", baseanim = "idle" },
	dragonfruit_cooked      = { bank = "dragonfruit", build = "dragonfruit", baseanim = "cooked" },
	dragonfruit_seeds       = { bank = "seeds", build = "seeds", baseanim = "idle" },
	dress_blueprint         = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	drumstick               = { bank = "drumstick", build = "drumstick", baseanim = "raw" },
	drumstick_cooked        = { bank = "drumstick", build = "drumstick", baseanim = "cooked" },
	dug_berrybush           = { bank = "berrybush", build = "berrybush", baseanim = "dropped" },
	dug_berrybush2          = { bank = "berrybush", build = "berrybush2", baseanim = "dropped" },
	dug_grass               = { bank = "grass", build = "grass1", baseanim = "dropped" },
	dug_marsh_bush          = { bank = "marsh_bush", build = "marsh_bush", baseanim = "dropped" },
	dug_sapling             = { bank = "sapling", build = "sapling", baseanim = "dropped" },
	durian                  = { bank = "durian", build = "durian", baseanim = "idle" },
	durian_cooked           = { bank = "durian", build = "durian", baseanim = "cooked" },
	durian_seeds            = { bank = "seeds", build = "seeds", baseanim = "idle" },
	earmuffshat             = { bank = "earmuffshat", build = "hat_earmuffs", baseanim = "anim" },
	eggplant                = { bank = "eggplant", build = "eggplant", baseanim = "idle" },
	eggplant_cooked         = { bank = "eggplant", build = "eggplant", baseanim = "cooked" },
	eggplant_seeds          = { bank = "seeds", build = "seeds", baseanim = "idle" },
	evergreen               = { bank = "evergreen_short", build = "evergreen_new", baseanim = "sway2_loop_short" },
	evergreen_burnt         = { bank = "evergreen_short", build = "evergreen_new", baseanim = "burnt_short" },
	evergreen_normal        = { bank = "evergreen_short", build = "evergreen_new", baseanim = "sway2_loop_normal" },
	evergreen_short         = { bank = "evergreen_short", build = "evergreen_new", baseanim = "sway2_loop_short" },
	evergreen_sparse        = { bank = "evergreen_short", build = "evergreen_new_2", baseanim = "sway2_loop_short" },
	evergreen_sparse_normal = { bank = "evergreen_short", build = "evergreen_new_2", baseanim = "sway2_loop_normal" },
	evergreen_sparse_short  = { bank = "evergreen_short", build = "evergreen_new_2", baseanim = "sway2_loop_short" },
	evergreen_sparse_tall   = { bank = "evergreen_short", build = "evergreen_new_2", baseanim = "sway2_loop_tall" },
	evergreen_stump         = { bank = "evergreen_short", build = "evergreen_new", baseanim = "stump_short" },
	evergreen_tall          = { bank = "evergreen_short", build = "evergreen_new", baseanim = "sway2_loop_tall" },
	exitcavelight           = { bank = "cavelight", build = "cave_exit_lightsource", baseanim = "idle_loop" },
	eyeplant                = { bank = "eyeplant", build = "eyeplant", baseanim = "spawn" },
	farmrock                = { bank = "farm_decor", build = "farm_decor", baseanim = "1" },
	farmrockflat            = { bank = "farm_decor", build = "farm_decor", baseanim = "8" },
	farmrocktall            = { bank = "farm_decor", build = "farm_decor", baseanim = "2" },
	fast_farmplot           = { bank = "farmplot", build = "farmplot", baseanim = "full" },
	feather_crow            = { bank = "feather_crow", build = "feather_crow", baseanim = "idle" },
	feather_robin           = { bank = "feather_robin", build = "feather_robin", baseanim = "idle" },
	feather_robin_winter    = { bank = "feather_robin_winter", build = "feather_robin_winter", baseanim = "idle" },
	featherhat              = { bank = "featherhat", build = "hat_feather", baseanim = "anim" },
	fencepost               = { bank = "farm_decor", build = "farm_decor", baseanim = "5" },
	fencepostright          = { bank = "farm_decor", build = "farm_decor", baseanim = "9" },
	fight_blueprint         = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	fire                    = { bank = "fire", build = "fire", baseanim = "idle" },
	fire_projectile         = { bank = "projectile", build = "staff_projectile", baseanim = "ice_spin_loop" },
	fireflies               = { bank = "fireflies", build = "fireflies", baseanim = "swarm_loop" }, -- DON'T OVERWRITE
	firehound               = { bank = "hound", build = "hound_red", baseanim = "idle" },
	firepit                 = { bank = "firepit", build = "firepit", baseanim = "idle" },
	firestaff               = { bank = "staffs", build = "staffs", baseanim = "redstaff" },
	fish                    = { bank = "fish", build = "fish01", baseanim = "idle" },
	fish_cooked             = { bank = "fish", build = "fish01", baseanim = "cooked" },
	fishingrod              = { bank = "fishingrod", build = "fishingrod", baseanim = "idle" },
	flies                   = { bank = "flies", build = "flies", baseanim = "swarm_pre" },
	flint                   = { bank = "flint", build = "flint", baseanim = "idle" },
	flower                  = { bank = "flowers", build = "flowers", baseanim = "f1" },
	flower_cave             = { bank = "bulb_plant_single", build = "bulb_plant_single", baseanim = "idle" },
	flower_cave_double      = { bank = "bulb_plant_double", build = "bulb_plant_double", baseanim = "idle" },
	flower_cave_triple      = { bank = "bulb_plant_triple", build = "bulb_plant_triple", baseanim = "idle" },
	flower_evil             = { bank = "flowers_evil", build = "flowers_evil", baseanim = "f1" },
	flowerhat               = { bank = "flowerhat", build = "hat_flower", baseanim = "anim" },
	foliage                 = { bank = "foliage", build = "foliage", baseanim = "anim" },
	food_blueprint          = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	footballhat             = { bank = "footballhat", build = "hat_football", baseanim = "anim" },
	frog                    = { bank = "frog", build = "frog", baseanim = "idle" },
	froglegs                = { bank = "frog_legs", build = "frog_legs", baseanim = "idle" },
	froglegs_cooked         = { bank = "frog_legs", build = "frog_legs", baseanim = "cooked" },
	gears                   = { bank = "gears", build = "gears", baseanim = "idle" },
	gemology_blueprint      = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	gemsocket               = { bank = "staff_purple_base", build = "staff_purple_base", baseanim = "idle_empty" },
	ghost                   = { bank = "ghost", build = "ghost_build", baseanim = "idle" },
	goldenaxe               = { bank = "goldenaxe", build = "goldenaxe", baseanim = "idle" },
	goldenpickaxe           = { bank = "goldenpickaxe", build = "goldenpickaxe", baseanim = "idle" },
	goldenshovel            = { bank = "goldenshovel", build = "goldenshovel", baseanim = "idle" },
	goldnugget              = { bank = "goldnugget", build = "gold_nugget", baseanim = "sparkle" },
	grass                   = { bank = "grass", build = "grass1", baseanim = "idle" },
	gravestone              = { bank = "gravestone", build = "gravestones", baseanim = "grave1" },
	green_cap               = { bank = "mushrooms", build = "mushrooms", baseanim = "green_cap" },
	green_cap_cooked        = { bank = "mushrooms", build = "mushrooms", baseanim = "green_cap_cooked" },
	green_mushroom          = { bank = "mushrooms", build = "mushrooms", baseanim = "close_green" },
	greengem                = { bank = "gems", build = "gems", baseanim = "greengem_idle" },
	gridplacer              = { bank = "gridplacer", build = "gridplacer", baseanim = "anim" },
	ground_chunks_breaking  = { bank = "ground_breaking", build = "ground_chunks_breaking", baseanim = "idle" },
	guano                   = { bank = "guano", build = "guano", baseanim = "dump" },
	gunpowder               = { bank = "gunpowder", build = "gunpowder", baseanim = "idle" },
	hambat                  = { bank = "ham_bat", build = "ham_bat", baseanim = "idle" },
	hammer                  = { bank = "hammer", build = "hammer", baseanim = "idle" },
	healingsalve            = { bank = "spider_gland_salve", build = "spider_gland_salve", baseanim = "idle" },
	heatrock                = { bank = "heat_rock", build = "heat_rock", baseanim = "1" },
	homesign                = { bank = "sign_home", build = "sign_home", baseanim = "idle" },
	honey                   = { bank = "honey", build = "honey", baseanim = "idle" },
	honeycomb               = { bank = "honeycomb", build = "honeycomb", baseanim = "idle" },
	horn                    = { bank = "horn", build = "horn", baseanim = "idle" },
	hound                   = { bank = "hound", build = "hound", baseanim = "idle" },
	houndbone               = { bank = "houndbase", build = "hound_base", baseanim = "piece2" }, -- DO NOT OVERWRITE
	houndmound              = { bank = "houndbase", build = "hound_base", baseanim = "idle" },
	houndstooth             = { bank = "houndstooth", build = "hounds_tooth", baseanim = "idle" },
	ice_projectile          = { bank = "projectile", build = "staff_projectile", baseanim = "ice_spin_loop" },
	icebox                  = { bank = "icebox", build = "ice_box", baseanim = "closed" },
	icehound                = { bank = "hound", build = "hound_ice", baseanim = "idle" },
	icestaff                = { bank = "staffs", build = "staffs", baseanim = "bluestaff" },
	impact                  = { bank = "impact", build = "impact", baseanim = "idle" },
	insanityrock            = { bank = "blocker_sanity", build = "blocker_sanity", baseanim = "lower" },
	killerbee               = { bank = "bee", build = "bee_angry_build", baseanim = "idle" },
	knight                  = { bank = "knight", build = "knight_build", baseanim = "idle" },
	koalefant_summer        = { bank = "koalefant", build = "koalefant_summer_build", baseanim = "idle_loop" },
	koalefant_winter        = { bank = "koalefant", build = "koalefant_winter_build", baseanim = "idle_loop" },
	krampus                 = { bank = "krampus", build = "krampus_build", baseanim = "run_loop" },
	krampus_sack            = { bank = "backpack1", build = "swap_krampus_sack", baseanim = "anim" },
	lantern                 = { bank = "lantern", build = "lantern", baseanim = "idle_off" },
	lavalight               = { bank = "fire_large_character", build = "fire_large_character", baseanim = "idle" },
	leif                    = { bank = "leif", build = "leif_build", baseanim = "idle_loop" },
	leif_sparse             = { bank = "leif", build = "leif_lumpy_build", baseanim = "idle_loop" },
	light_blueprint         = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	lightbulb               = { bank = "bulb", build = "bulb", baseanim = "idle" },
	lighter                 = { bank = "lighter", build = "lighter", baseanim = "idle" },
	lightning               = { bank = "lightning", build = "lightning", baseanim = "anim" },
	lightning_rod           = { bank = "lightning_rod", build = "lightning_rod", baseanim = "idle" },
	little_walrus           = { bank = "walrus", build = "walrus_baby_build", baseanim = "idle" },
	livinglog               = { bank = "livinglog", build = "livinglog", baseanim = "idle" },
	lockedwes               = { bank = "wilson", build = "wes", baseanim = "mime6" },
	log                     = { bank = "log", build = "log", baseanim = "idle" },
	lucy                    = { bank = "Lucy_axe", build = "Lucy_axe", baseanim = "idle" },
	lureplant               = { bank = "eyeplant_trap", build = "eyeplant_trap", baseanim = "idle_hidden" },
	lureplantbulb           = { bank = "eyeplant_bulb", build = "eyeplant_bulb", baseanim = "idle" },
	magic_blueprint         = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	mandrake                = { bank = "mandrake", build = "mandrake", baseanim = "ground" },
	manrabbit_tail          = { bank = "manrabbit_tail", build = "manrabbit_tail", baseanim = "idle" },
	marble                  = { bank = "marble", build = "marble", baseanim = "anim" },
	marblepillar            = { bank = "marble_pillar", build = "marble_pillar", baseanim = "full" },
	marbletree              = { bank = "marble_trees", build = "marble_trees", baseanim = "full_1" },
	marbletree_1            = { bank = "marble_trees", build = "marble_trees", baseanim = "full_1" },
	marbletree_2            = { bank = "marble_trees", build = "marble_trees", baseanim = "full_2" },
	marbletree_3            = { bank = "marble_trees", build = "marble_trees", baseanim = "full_3" },
	marbletree_4            = { bank = "marble_trees", build = "marble_trees", baseanim = "full_4" },
	marsh_bush              = { bank = "marsh_bush", build = "marsh_bush", baseanim = "idle" },
	marsh_plant             = { bank = "marsh_plant", build = "marsh_plant", baseanim = "idle" },
	marsh_tree              = { bank = "marsh_tree", build = "tree_marsh", baseanim = "fall" },
	maxwell                 = { bank = "maxwell", build = "maxwell_build", baseanim = "idle" },
	maxwellendgame          = { bank = "maxwellthrone", build = "maxwell_endgame", baseanim = "idle_loop" },
	maxwellhead             = { bank = "maxwell_floatinghead", build = "maxwell_floatinghead", baseanim = "appear" },
	maxwellintro            = { bank = "maxwell", build = "maxwell_build", baseanim = "idle" },
	maxwellkey              = { bank = "purplegem", build = "purple_gem", baseanim = "idle" },
	maxwelllight            = { bank = "maxwell_torch", build = "maxwell_torch", baseanim = "idle" },
	maxwelllight_area       = { bank = "maxwell_torch", build = "maxwell_torch", baseanim = "idle" },
	maxwelllight_flame      = { bank = "campfire_fire", build = "campfire_fire", baseanim = "idle" },
	maxwelllock             = { bank = "diviningrod", build = "diviningrod_maxwell", baseanim = "activate_loop" },
	maxwellphonograph       = { bank = "phonograph", build = "phonograph", baseanim = "idle" },
	maxwellthrone           = { bank = "throne", build = "maxwell_throne", baseanim = "idle" },
	meat                    = { bank = "meat", build = "meat", baseanim = "raw" },
	meat_dried              = { bank = "meat_rack_food", build = "meat_rack_food", baseanim = "idle_dried_large" },
	meatrack                = { bank = "meat_rack", build = "meat_rack", baseanim = "idle_empty" },
	merm                    = { bank = "pigman", build = "merm_build", baseanim = "idle" },
	mermhead                = { bank = "merm_head", build = "merm_head", baseanim = "idle_asleep" },
	mermhouse               = { bank = "pig_house", build = "pig_house", baseanim = "rundown" },
	minerhat                = { bank = "minerhat", build = "hat_miner", baseanim = "anim" },
	monkey                  = { bank = "kiki", build = "kiki_basic", baseanim = "idle_loop" },
	monkeybarrel            = { bank = "barrel", build = "monkey_barrel", baseanim = "idle" },
	monkeyprojectile        = { bank = "monkey_projectile", build = "monkey_projectile", baseanim = "idle" },
	monstermeat             = { bank = "monstermeat", build = "meat_monster", baseanim = "idle" },
	monstermeat_dried       = { bank = "meat_rack_food", build = "meat_rack_food", baseanim = "idle_dried_monster" },
	mosquito                = { bank = "mosquito", build = "mosquito", baseanim = "idle" },
	mound                   = { bank = "gravestone", build = "gravestones", baseanim = "gravedirt" },
	multitool_axe_pickaxe   = { bank = "multitool_axe_pickaxe", build = "multitool_axe_pickaxe", baseanim = "idle" },
	mushtree_medium         = { bank = "mushroom_tree_med", build = "mushroom_tree_med", baseanim = "idle_loop" },
	mushtree_small          = { bank = "mushroom_tree_small", build = "mushroom_tree_small", baseanim = "idle_loop" },
	mushtree_tall           = { bank = "mushroom_tree", build = "mushroom_tree_tall", baseanim = "idle_loop" },
	nightlight              = { bank = "nightmare_torch", build = "nightmare_torch", baseanim = "idle" },
	nightlight_flame        = { bank = "campfire_fire", build = "campfire_fire", baseanim = "idle" },
	nightmarefuel           = { bank = "nightmarefuel", build = "nightmarefuel", baseanim = "idle_loop" },
	nightsword              = { bank = "nightmaresword", build = "nightmaresword", baseanim = "idle" },
	nitre                   = { bank = "nitre", build = "nitre", baseanim = "idle" },
	onemanband              = { bank = "onemanband", build = "armor_onemanband", baseanim = "anim" },
	orangeamulet            = { bank = "amulets", build = "amulets", baseanim = "orangeamulet" },
	orangegem               = { bank = "gems", build = "gems", baseanim = "orangegem_idle" },
	pandoraschest           = { bank = "pandoras_chest", build = "pandoras_chest", baseanim = "closed" },
	panflute                = { bank = "pan_flute", build = "pan_flute", baseanim = "idle" },
	papyrus                 = { bank = "papyrus", build = "papyrus", baseanim = "idle" },
	penguin                 = { bank = "penguin", build = "penguin_build", baseanim = "idle" },
	penguin_ice             = { bank = "penguin_ice", build = "penguin_ice", baseanim = "idle" },
	perd                    = { bank = "perd", build = "perd", baseanim = "idle" },
	petals                  = { bank = "petals", build = "flower_petals", baseanim = "anim" },
	petals_evil             = { bank = "flower_petals_evil", build = "flower_petals_evil", baseanim = "anim" },
	phonograph_box          = { bank = "phonograph", build = "phonograph", baseanim = "box" },
	phonograph_complete     = { bank = "phonograph", build = "phonograph", baseanim = "complete" },
	phonograph_cone         = { bank = "phonograph", build = "phonograph", baseanim = "cone" },
	phonograph_crank        = { bank = "phonograph", build = "phonograph", baseanim = "crank" },
	phonograph_gears        = { bank = "phonograph", build = "phonograph", baseanim = "gears" },
	pickaxe                 = { bank = "pickaxe", build = "pickaxe", baseanim = "idle" },
	pigguard                = { bank = "pigman", build = "pig_guard_build", baseanim = "idle_loop" },
	piggyback               = { bank = "piggyback", build = "piggyback", baseanim = "anim" },
	pighead                 = { bank = "pig_head", build = "pig_head", baseanim = "idle_asleep" },
	pighouse                = { bank = "pig_house", build = "pig_house", baseanim = "idle" },
	pigking                 = { bank = "Pig_King", build = "Pig_King", baseanim = "idle" },
	pigman                  = { bank = "pigman", build = "pig_build", baseanim = "idle_loop" },
	pigskin                 = { bank = "pigskin", build = "pigskin", baseanim = "idle" },
	pigtorch                = { bank = "pigtorch", build = "pig_torch", baseanim = "idle" },
	pigtorch_flame          = { bank = "campfire_fire", build = "campfire_fire", baseanim = "idle" },
	pinecone                = { bank = "pinecone", build = "pinecone", baseanim = "idle" },
	pitchfork               = { bank = "pitchfork", build = "pitchfork", baseanim = "idle" },
	plant_normal            = { bank = "plant_normal", build = "plant_normal", baseanim = "grow" },
	plantmeat               = { bank = "plant_meat", build = "plant_meat", baseanim = "raw" },
	plantmeat_cooked        = { bank = "plant_meat", build = "plant_meat", baseanim = "cooked" },
	pomegranate             = { bank = "pomegranate", build = "pomegranate", baseanim = "idle" },
	pomegranate_cooked      = { bank = "pomegranate", build = "pomegranate", baseanim = "cooked" },
	pomegranate_seeds       = { bank = "seeds", build = "seeds", baseanim = "idle" },
	pond                    = { bank = "marsh_tile", build = "marsh_tile", baseanim = "idle" },
	pond_mos                = { bank = "marsh_tile", build = "marsh_tile", baseanim = "idle_mos" },
	poop                    = { bank = "poop", build = "poop", baseanim = "dump" },
	poopcloud               = { bank = "poopcloud", build = "poop_cloud", baseanim = "idle" },
	portal_home             = { bank = "grass", build = "grass1", baseanim = "idle" },
	portal_level            = { bank = "grass", build = "grass1", baseanim = "idle" },
	pumpkin                 = { bank = "pumpkin", build = "pumpkin", baseanim = "idle" },
	pumpkin_cooked          = { bank = "pumpkin", build = "pumpkin", baseanim = "cooked" },
	pumpkin_lantern         = { bank = "pumpkin", build = "pumpkin_lantern", baseanim = "idle_night_pre" },
	pumpkin_seeds           = { bank = "seeds", build = "seeds", baseanim = "idle" },
	puppet_wendy            = { bank = "wilson", build = "wendy", baseanim = "throne_loop" },
	puppet_wes              = { bank = "wilson", build = "wes", baseanim = "throne_loop" },
	puppet_wickerbottom     = { bank = "wilson", build = "wickerbottom", baseanim = "throne_loop" },
	puppet_willow           = { bank = "wilson", build = "willow", baseanim = "throne_loop" },
	puppet_wilson           = { bank = "wilson", build = "wilson", baseanim = "throne_loop" },
	puppet_wolfgang         = { bank = "wilson", build = "wolfgang", baseanim = "throne_loop" },
	puppet_woodie           = { bank = "wilson", build = "woodie", baseanim = "throne_loop" },
	puppet_wx78             = { bank = "wilson", build = "wx78", baseanim = "throne_loop" },
	purpleamulet            = { bank = "amulets", build = "amulets", baseanim = "purpleamulet" },
	purplegem               = { bank = "gems", build = "gems", baseanim = "purplegem_idle" },
	rabbit                  = { bank = "rabbit", build = "rabbit_build", baseanim = "idle" },
	rabbithole              = { bank = "rabbithole", build = "rabbit_hole", baseanim = "anim" },
	rabbithouse             = { bank = "rabbithouse", build = "rabbit_house", baseanim = "idle" },
	raindrop                = { bank = "raindrop", build = "raindrop", baseanim = "anim" },
	rainometer              = { bank = "rain_meter", build = "rain_meter", baseanim = "idle" },
	razor                   = { bank = "razor", build = "razor", baseanim = "idle" },
	red_cap                 = { bank = "mushrooms", build = "mushrooms", baseanim = "red_cap" },
	red_cap_cooked          = { bank = "mushrooms", build = "mushrooms", baseanim = "red_cap_cooked" },
	red_mushroom            = { bank = "mushrooms", build = "mushrooms", baseanim = "close_red" }, -- DON'T OVERWRITE
	redgem                  = { bank = "gems", build = "gems", baseanim = "redgem_idle" },
	reeds                   = { bank = "grass", build = "reeds", baseanim = "idle" },
	refine_blueprint        = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	researchlab             = { bank = "researchlab", build = "researchlab", baseanim = "idle" },
	researchlab2            = { bank = "researchlab2", build = "researchlab2", baseanim = "idle" },
	researchlab3            = { bank = "researchlab3", build = "researchlab3", baseanim = "idle" },
	researchlab4            = { bank = "researchlab4", build = "researchlab4", baseanim = "idle" },
	resurrectionstatue      = { bank = "wilsonstatue", build = "wilsonstatue", baseanim = "idle" },
	resurrectionstone       = { bank = "resurrection_stone", build = "resurrection_stone", baseanim = "idle_off" },
	robin                   = { bank = "crow", build = "robin_build", baseanim = "idle" },
	robin_winter            = { bank = "crow", build = "robin_winter_build", baseanim = "idle" },
	rock1                   = { bank = "rock", build = "rock", baseanim = "full" },
	rock2                   = { bank = "rock2", build = "rock2", baseanim = "full" },
	rock_flintless          = { bank = "rock_flintless", build = "rock_flintless", baseanim = "full" },
	rock_light              = { bank = "rock_light", build = "rock_light", baseanim = "full" },
	rocks                   = { bank = "rocks", build = "rocks", baseanim = "f1" },
	rocky                   = { bank = "rocky", build = "rocky", baseanim = "idle_loop" },
	rook                    = { bank = "rook", build = "rook_build", baseanim = "idle" },
	rope                    = { bank = "rope", build = "rope", baseanim = "idle" },
	rottenegg               = { bank = "birdegg", build = "bird_eggs", baseanim = "rotten" },
	rubble                  = { bank = "rubble", build = "ruins_rubble", baseanim = "full" },
	rubble_low              = { bank = "rubble", build = "ruins_rubble", baseanim = "low" },
	rubble_med              = { bank = "rubble", build = "ruins_rubble", baseanim = "med" },
	ruins_bowl              = { bank = "relic", build = "ruins_bowl", baseanim = "idle" },
	ruins_chair             = { bank = "relic", build = "ruins_chair", baseanim = "idle" },
	ruins_chipbowl          = { bank = "relic", build = "ruins_chipbowl", baseanim = "idle" },
	ruins_plate             = { bank = "relic", build = "ruins_plate", baseanim = "idle" },
	ruins_table             = { bank = "relic", build = "ruins_table", baseanim = "idle" },
	ruins_vase              = { bank = "relic", build = "ruins_vase", baseanim = "idle" },
	sanityrock              = { bank = "blocker_sanity", build = "blocker_sanity", baseanim = "lower" },
	sapling                 = { bank = "sapling", build = "sapling", baseanim = "sway" },
	science_blueprint       = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	seeds                   = { bank = "seeds", build = "seeds", baseanim = "idle" },
	seeds_cooked            = { bank = "seeds", build = "seeds", baseanim = "cooked" },
	sewing_kit              = { bank = "sewing_kit", build = "sewing_kit", baseanim = "idle" },
	shadowhand              = { bank = "shadowcreatures", build = "shadow_creatures_ground", baseanim = "hand_in" },
	shadowhand_arm          = { bank = "shadowcreatures", build = "shadow_creatures_ground", baseanim = "arm_loop" },
	shadowskittish          = { bank = "shadowcreatures", build = "shadow_skittish", baseanim = "idle_loop" },
	shadowwatcher           = { bank = "shadowcreatures", build = "shadow_creatures_ground", baseanim = "watcher_pre" },
	shatter                 = { bank = "frozen_shatter", build = "frozen_shatter", baseanim = "idle" },
	shovel                  = { bank = "shovel", build = "shovel", baseanim = "idle" },
	signleft                = { bank = "farm_decor", build = "farm_decor", baseanim = "4" },
	signright               = { bank = "farm_decor", build = "farm_decor", baseanim = "10" },
	silk                    = { bank = "silk", build = "silk", baseanim = "idle" },
	sinkhole                = { bank = "blocker", build = "blocker", baseanim = "block1" },
	skeleton                = { bank = "skeleton", build = "skeletons", baseanim = "idle1" },
	skullchest              = { bank = "skull_chest", build = "skull_chest", baseanim = "closed" },
	slow_farmplot           = { bank = "farmplot", build = "farmplot", baseanim = "full" },
	slurper                 = { bank = "slurper", build = "slurper_basic", baseanim = "idle_loop" },
	slurtle                 = { bank = "slurtle", build = "slurtle", baseanim = "idle" },
	slurtle_shellpieces     = { bank = "slurtle_shellpieces", build = "slurtle_shellpieces", baseanim = "idle" },
	slurtlehat              = { bank = "slurtlehat", build = "hat_slurtle", baseanim = "anim" },
	slurtlehole             = { bank = "slurtle_mound", build = "slurtle_mound", baseanim = "idle" },
	slurtleslime            = { bank = "slurtle_slime", build = "slurtle_slime", baseanim = "idle" },
	smallbird               = { bank = "smallbird", build = "smallbird_basic", baseanim = "idle" },
	smallmeat               = { bank = "meat_small", build = "meat_small", baseanim = "raw" },
	smallmeat_dried         = { bank = "meat_rack_food", build = "meat_rack_food", baseanim = "idle_dried_small" },
	snurtle                 = { bank = "snurtle", build = "slurtle_snaily", baseanim = "idle" },
	sounddebugicon          = { bank = "sound", build = "sounddebug", baseanim = "idle" },
	sparks                  = { bank = "sparks", build = "sparks", baseanim = "sparks_1" },
	spear                   = { bank = "spear", build = "spear", baseanim = "idle" },
	spider                  = { bank = "spider", build = "spider_build", baseanim = "idle" },
	spider_hider            = { bank = "spider_hider", build = "DS_spider_caves", baseanim = "idle" },
	spider_spitter          = { bank = "spider_spitter", build = "DS_spider2_caves", baseanim = "idle" },
	spider_warrior          = { bank = "spider", build = "spider_warrior_build", baseanim = "idle" },
	spider_web_spit         = { bank = "spider_spit", build = "spider_spit", baseanim = "idle" },
	spiderden               = { bank = "spider_cocoon", build = "spider_cocoon", baseanim = "cocoon_small" }, -- DON'T OVERWRITE
	spiderden_2             = { bank = "spider_cocoon", build = "spider_cocoon", baseanim = "grow_medium_to_large" }, -- DON'T OVERWRITE
	spiderden_3             = { bank = "spider_cocoon", build = "spider_cocoon", baseanim = "cocoon_large_burst" }, -- DON'T OVERWRITE
	spidereggsack           = { bank = "spider_egg_sac", build = "spider_egg_sac", baseanim = "idle" },
	spidergland             = { bank = "spider_gland", build = "spider_gland", baseanim = "idle" },
	spiderhat               = { bank = "spiderhat", build = "hat_spider", baseanim = "anim" },
	spiderhole              = { bank = "spider_mound", build = "spider_mound", baseanim = "idle" },
	spiderqueen             = { bank = "spider_queen", build = "spider_queen_build", baseanim = "idle" },
	splash_spiderweb        = { bank = "splash_spiderweb", build = "splash_spiderweb", baseanim = "idle" },
	spoiled_food            = { bank = "spoiled", build = "spoiled_food", baseanim = "idle" },
	staffcastfx             = { bank = "staff_fx", build = "staff", baseanim = "staff" },
	stafflight              = { bank = "star", build = "star", baseanim = "appear" },
	stalagmite              = { bank = "rock_stalagmite", build = "rock_stalagmite", baseanim = "full" },
	stalagmite_full         = { bank = "rock_stalagmite", build = "rock_stalagmite", baseanim = "full" },
	stalagmite_low          = { bank = "rock_stalagmite", build = "rock_stalagmite", baseanim = "low" },
	stalagmite_med          = { bank = "rock_stalagmite", build = "rock_stalagmite", baseanim = "med" },
	stalagmite_tall         = { bank = "rock_stalagmite_tall", build = "rock_stalagmite_tall", baseanim = "full_1" },
	stalagmite_tall_full    = { bank = "rock_stalagmite_tall", build = "rock_stalagmite_tall", baseanim = "full_1" },
	stalagmite_tall_low     = { bank = "rock_stalagmite_tall", build = "rock_stalagmite_tall", baseanim = "low_1" },
	stalagmite_tall_med     = { bank = "rock_stalagmite_tall", build = "rock_stalagmite_tall", baseanim = "med_1" },
	statueface              = { bank = "statue_ruins_small", build = "statue_ruins_small", baseanim = "idle_full" },
	statueface_nogem        = { bank = "statue_ruins_small", build = "statue_ruins_small", baseanim = "idle_full" },
	statueharp              = { bank = "statue_small", build = "statue_small", baseanim = "med" }, -- FULL DOESN'T WORK
	statuemaxwell           = { bank = "statue_maxwell", build = "statue_maxwell", baseanim = "idle_full" },
	stick                   = { bank = "farm_decor", build = "farm_decor", baseanim = "3" },
	stickleft               = { bank = "farm_decor", build = "farm_decor", baseanim = "7" },
	stickright              = { bank = "farm_decor", build = "farm_decor", baseanim = "6" },
	stinger                 = { bank = "stinger", build = "stinger", baseanim = "idle" },
	strawhat                = { bank = "strawhat", build = "hat_straw", baseanim = "anim" },
	structures_blueprint    = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	sunkboat                = { bank = "boat_sunk", build = "boat_sunk", baseanim = "idle" },
	survival_blueprint      = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	sweatervest             = { bank = "armor_sweatervest", build = "armor_sweatervest", baseanim = "anim" },
	tallbird                = { bank = "tallbird", build = "ds_tallbird_basic", baseanim = "idle" },
	tallbirdegg             = { bank = "egg", build = "tallbird_egg", baseanim = "egg" },
	tallbirdegg_cooked      = { bank = "egg", build = "tallbird_egg", baseanim = "cooked" },
	tallbirdegg_cracked     = { bank = "egg", build = "tallbird_egg", baseanim = "idle_happy" },
	tallbirdnest            = { bank = "egg", build = "tallbird_egg", baseanim = "eggnest" },
	teenbird                = { bank = "tallbird", build = "tallbird_teen_build", baseanim = "idle" },
	telebase                = { bank = "staff_purple_base_ground", build = "staff_purple_base_ground", baseanim = "idle" },
	teleportato_base        = { bank = "teleporter", build = "teleportato_build", baseanim = "idle_off" },
	teleportato_box         = { bank = "parts", build = "teleportato_parts_build", baseanim = "lever" },
	teleportato_checkmate   = { bank = "teleporter", build = "teleportato_adventure_build", baseanim = "idle_off" },
	teleportato_crank       = { bank = "parts", build = "teleportato_parts_build", baseanim = "support" },
	teleportato_potato      = { bank = "parts", build = "teleportato_parts_build", baseanim = "potato" },
	teleportato_ring        = { bank = "parts", build = "teleportato_parts_build", baseanim = "ring" },
	telestaff               = { bank = "staffs", build = "staffs", baseanim = "purplestaff" },
	tent                    = { bank = "tent", build = "tent", baseanim = "idle" },
	tentacle                = { bank = "tentacle", build = "tentacle", baseanim = "idle" },
	tentacle_garden         = { bank = "tentaclepillar", build = "tentacle_pillar", baseanim = "idle_hole" },
	tentacle_pillar         = { bank = "tentaclepillar", build = "tentacle_pillar", baseanim = "idle" },
	tentacle_pillar_arm     = { bank = "tentacle_arm", build = "tentacle_arm", baseanim = "breach_pre" },
	tentaclespike           = { bank = "spike", build = "tentacle_spike", baseanim = "idle" },
	tentaclespots           = { bank = "tentaclespots", build = "tentaclespots", baseanim = "idle" },
	terrorbeak              = { bank = "shadowcreature2", build = "shadow_insanity2_basic", baseanim = "idle_loop" },
	tools_blueprint         = { bank = "blueprint", build = "blueprint", baseanim = "idle" },
	tophat                  = { bank = "tophat", build = "hat_top", baseanim = "anim" },
	torch                   = { bank = "torch", build = "torch", baseanim = "idle" },
	trap                    = { bank = "trap", build = "trap", baseanim = "idle" },
	trap_teeth              = { bank = "trap_teeth", build = "trap_teeth", baseanim = "idle" },
	trap_teeth_maxwell      = { bank = "trap_teeth_maxwell", build = "trap_teeth_maxwell", baseanim = "idle" },
	treasurechest           = { bank = "chest", build = "treasure_chest", baseanim = "closed" },
	treeclump               = { bank = "tree_clump", build = "tree_clump", baseanim = "anim" },
	trinket_1               = { bank = "trinkets", build = "trinkets", baseanim = "1" },
	trinket_10              = { bank = "trinkets", build = "trinkets", baseanim = "10" },
	trinket_11              = { bank = "trinkets", build = "trinkets", baseanim = "11" },
	trinket_12              = { bank = "trinkets", build = "trinkets", baseanim = "12" },
	trinket_2               = { bank = "trinkets", build = "trinkets", baseanim = "2" },
	trinket_3               = { bank = "trinkets", build = "trinkets", baseanim = "3" },
	trinket_4               = { bank = "trinkets", build = "trinkets", baseanim = "4" },
	trinket_5               = { bank = "trinkets", build = "trinkets", baseanim = "5" },
	trinket_6               = { bank = "trinkets", build = "trinkets", baseanim = "6" },
	trinket_7               = { bank = "trinkets", build = "trinkets", baseanim = "7" },
	trinket_8               = { bank = "trinkets", build = "trinkets", baseanim = "8" },
	trinket_9               = { bank = "trinkets", build = "trinkets", baseanim = "9" },
	trunk_cooked            = { bank = "trunk", build = "koalephant_trunk", baseanim = "cooked" },
	trunk_summer            = { bank = "trunk", build = "koalephant_trunk", baseanim = "idle_summer" },
	trunk_winter            = { bank = "trunk", build = "koalephant_trunk", baseanim = "idle_winter" },
	trunkvest_summer        = { bank = "armor_trunkvest_summer", build = "armor_trunkvest_summer", baseanim = "anim" },
	trunkvest_winter        = { bank = "armor_trunkvest_winter", build = "armor_trunkvest_winter", baseanim = "anim" },
	turf_carpetfloor        = { bank = "turf", build = "turf", baseanim = "carpet" },
	turf_cave               = { bank = "turf", build = "turf", baseanim = "cave" },
	turf_checkerfloor       = { bank = "turf", build = "turf", baseanim = "checker" },
	turf_dirt               = { bank = "turf", build = "turf", baseanim = "dirt" },
	turf_forest             = { bank = "turf", build = "turf", baseanim = "forest" },
	turf_fungus             = { bank = "turf", build = "turf", baseanim = "fungus" },
	turf_grass              = { bank = "turf", build = "turf", baseanim = "grass" },
	turf_marsh              = { bank = "turf", build = "turf", baseanim = "marsh" },
	turf_mud                = { bank = "turf", build = "turf", baseanim = "mud" },
	turf_road               = { bank = "turf", build = "turf", baseanim = "road" },
	turf_rocky              = { bank = "turf", build = "turf", baseanim = "rocky" },
	turf_savanna            = { bank = "turf", build = "turf", baseanim = "savanna" },
	turf_sinkhole           = { bank = "turf", build = "turf", baseanim = "sinkhole" },
	turf_underrock          = { bank = "turf", build = "turf", baseanim = "rock" },
	turf_woodfloor          = { bank = "turf", build = "turf", baseanim = "woodfloor" },
	twigs                   = { bank = "twigs", build = "twigs", baseanim = "idle" },
	umbrella                = { bank = "umbrella", build = "umbrella", baseanim = "idle" },
	wall_hay                = { bank = "wall", build = "wall_hay", baseanim = "1_2" },
	wall_hay_item           = { bank = "wall", build = "wall_hay", baseanim = "idle" },
	wall_ruins              = { bank = "wall", build = "wall_ruins", baseanim = "1_2" },
	wall_ruins_item         = { bank = "wall", build = "wall_ruins", baseanim = "idle" },
	wall_stone              = { bank = "wall", build = "wall_stone", baseanim = "1_2" },
	wall_stone_item         = { bank = "wall", build = "wall_stone", baseanim = "idle" },
	wall_wood               = { bank = "wall", build = "wall_wood", baseanim = "1_2" },
	wall_wood_item          = { bank = "wall", build = "wall_wood", baseanim = "idle" },
	walrus                  = { bank = "walrus", build = "walrus_build", baseanim = "idle" },
	walrus_camp             = { bank = "igloo_track", build = "igloo_track", baseanim = "idle" },
	walrus_dart             = { bank = "blow_dart", build = "blow_dart", baseanim = "dart_walrus" },
	walrus_tusk             = { bank = "walrus_tusk", build = "walrus_tusk", baseanim = "idle" },
	walrushat               = { bank = "walrushat", build = "hat_walrus", baseanim = "anim" },
	warningshadow           = { bank = "warning_shadow", build = "warning_shadow", baseanim = "idle" },
	wasphive                = { bank = "wasphive", build = "wasphive", baseanim = "cocoon_small" },
	winterhat               = { bank = "winterhat", build = "hat_winter", baseanim = "anim" },
	winterometer            = { bank = "winter_meter", build = "winter_meter", baseanim = "idle" },
	wormhole                = { bank = "teleporter_worm", build = "teleporter_worm_build", baseanim = "idle_loop" },
	wormhole_limited_1      = { bank = "teleporter_worm", build = "teleporter_sickworm_build", baseanim = "idle_loop" },
	yellowgem               = { bank = "gems", build = "gems", baseanim = "yellowgem_idle" },
	yellowstaff             = { bank = "staffs", build = "staffs", baseanim = "yellowstaff" },
}
